package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class HostEthernetAdapterPhysicalPort {
    private Metadata metadata;
    private String currentConnectionSpeed;
    private String currentDuplexMode;
    private String linkUp;
    private String maximumReceivePacketSize;
    private String pendingConnectionSpeed;
    private String pendingDuplexMode;
    private String pendingFlowControlEnabled;
    private String physicalPortID;
    private String physicalPortLocationCode;
    private String physicalPortState;
    private String physicalPortType;
    private String receiveFlowControlEnabled;
    private String transmitFlowControlEnabled;
    private String dedicated;
    private String owner;

    public HostEthernetAdapterPhysicalPort() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getCurrentConnectionSpeed() {
        return currentConnectionSpeed;
    }

    public void setCurrentConnectionSpeed(String currentConnectionSpeed) {
        this.currentConnectionSpeed = currentConnectionSpeed;
    }

    public String getCurrentDuplexMode() {
        return currentDuplexMode;
    }

    public void setCurrentDuplexMode(String currentDuplexMode) {
        this.currentDuplexMode = currentDuplexMode;
    }

    public String getLinkUp() {
        return linkUp;
    }

    public void setLinkUp(String linkUp) {
        this.linkUp = linkUp;
    }

    public String getMaximumReceivePacketSize() {
        return maximumReceivePacketSize;
    }

    public void setMaximumReceivePacketSize(String maximumReceivePacketSize) {
        this.maximumReceivePacketSize = maximumReceivePacketSize;
    }

    public String getPendingConnectionSpeed() {
        return pendingConnectionSpeed;
    }

    public void setPendingConnectionSpeed(String pendingConnectionSpeed) {
        this.pendingConnectionSpeed = pendingConnectionSpeed;
    }

    public String getPendingDuplexMode() {
        return pendingDuplexMode;
    }

    public void setPendingDuplexMode(String pendingDuplexMode) {
        this.pendingDuplexMode = pendingDuplexMode;
    }

    public String getPendingFlowControlEnabled() {
        return pendingFlowControlEnabled;
    }

    public void setPendingFlowControlEnabled(String pendingFlowControlEnabled) {
        this.pendingFlowControlEnabled = pendingFlowControlEnabled;
    }

    public String getPhysicalPortID() {
        return physicalPortID;
    }

    public void setPhysicalPortID(String physicalPortID) {
        this.physicalPortID = physicalPortID;
    }

    public String getPhysicalPortLocationCode() {
        return physicalPortLocationCode;
    }

    public void setPhysicalPortLocationCode(String physicalPortLocationCode) {
        this.physicalPortLocationCode = physicalPortLocationCode;
    }

    public String getPhysicalPortState() {
        return physicalPortState;
    }

    public void setPhysicalPortState(String physicalPortState) {
        this.physicalPortState = physicalPortState;
    }

    public String getPhysicalPortType() {
        return physicalPortType;
    }

    public void setPhysicalPortType(String physicalPortType) {
        this.physicalPortType = physicalPortType;
    }

    public String getReceiveFlowControlEnabled() {
        return receiveFlowControlEnabled;
    }

    public void setReceiveFlowControlEnabled(String receiveFlowControlEnabled) {
        this.receiveFlowControlEnabled = receiveFlowControlEnabled;
    }

    public String getTransmitFlowControlEnabled() {
        return transmitFlowControlEnabled;
    }

    public void setTransmitFlowControlEnabled(String transmitFlowControlEnabled) {
        this.transmitFlowControlEnabled = transmitFlowControlEnabled;
    }

    public String getDedicated() {
        return dedicated;
    }

    public void setDedicated(String dedicated) {
        this.dedicated = dedicated;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapterPhysicalPort [metadata=" + metadata + ", currentConnectionSpeed="
            + currentConnectionSpeed + ", currentDuplexMode=" + currentDuplexMode + ", linkUp=" + linkUp
            + ", maximumReceivePacketSize=" + maximumReceivePacketSize + ", pendingConnectionSpeed="
            + pendingConnectionSpeed + ", pendingDuplexMode=" + pendingDuplexMode + ", pendingFlowControlEnabled="
            + pendingFlowControlEnabled + ", physicalPortID=" + physicalPortID + ", physicalPortLocationCode="
            + physicalPortLocationCode + ", physicalPortState=" + physicalPortState + ", physicalPortType="
            + physicalPortType + ", receiveFlowControlEnabled=" + receiveFlowControlEnabled
            + ", transmitFlowControlEnabled=" + transmitFlowControlEnabled + ", dedicated=" + dedicated + ", owner="
            + owner + "]";
    }
}
